Bug 981334 - Gnome shell hangs on activity screen
Gnome shell hangs on activity screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 09:31 EDT by Naipaul Ojar
Modified: 2014-02-05 17:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854817
Environment:
Last Closed: 2014-02-05 17:03:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naipaul Ojar 2013-07-04 09:31:43 EDT
+++ This bug was initially created as a clone of Bug #854817 +++

Description of problem:
Gnome shell hangs on activity screen
The mouse pointer moves, but nothing can be done

I switched to virtual console and create attached backtrace with command:
gdb --batch --ex t a a bt -pid=1251 &>/tmp/gnome-shell-2012-09-04-10.txt

--- Additional comment from Mikhail on 2012-09-06 00:40:21 EDT ---



--- Additional comment from Mikhail on 2012-09-06 00:41:35 EDT ---



--- Additional comment from Mikhail on 2012-09-06 00:44:36 EDT ---



--- Additional comment from Mikhail on 2012-09-06 00:45:28 EDT ---



--- Additional comment from Mikhail on 2012-09-06 00:46:26 EDT ---

Sorry firts two backtraces I making for evolution not for gnome-shell.

--- Additional comment from Mikhail on 2012-09-06 00:50:44 EDT ---



--- Additional comment from Mikhail on 2012-09-06 07:06:01 EDT ---



--- Additional comment from Naipaul Ojar on 2013-05-22 18:07:56 EDT ---

Bug Report 854814 and 853817 are duplicates, it seems that xxx814 was opened and then when additional files were added, they wer added to xxx817 instead.

I have seen this error since Fedore 16 and I am still seeing it in Fedora 18. This issue seems to be a relatively common experience with VMWare users, where I experience the problem most.

If I do not use the VMWare GUI do my work :-
a. Start VMWare image, and log off and minimise VMWare
b. minimise VMWare
c. Connect to VMWare hosted servers via Remote Desktop client - remmina
d. I can work with multiple connections for a few days at a time.

e. If I start using the actual VMWare Server Graphical Console, the gnome-shell can hang with the last graphic frame un-changed.

The mouse can move and my music is playing but the clock is frozen. I can access virtual Consoles, via Ctl-Alt-F[1-5] and login in.

Sometimes, run-as current user, 
   killall gnome-shell
followed by
   gnome-shell --replace
can resume the desktop, but other times not.

at that point a full reboot is essential.

Some searched links:-


https://ask.fedoraproject.org/question/9734/why-does-gnome-freeze

https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/869408

https://bugzilla.redhat.com/show_bug.cgi?id=902035

https://chrisirwin.ca/blog/posts/workaround-for-conflict-between-gnome-shell-a

http://communities.vmware.com/thread/342694?start=0&tstart=0

http://unixrevolution.blogspot.co.uk/2012/01/gnome-3-shell-screen-lock-workaround.html

--- Additional comment from Naipaul Ojar on 2013-05-30 11:32:31 EDT ---

Dear All,

This issue is also seen in Fedora 18, as well as 17.

Can we assign a severity to this issue as my Fedora machine's primary role is to implement system integration scenarios on VMWare WorkStation and Fedora crashes / hangs when running two or more VMs in full screen. Fedora 18 is not a supported Host for VMWare, so we cannot go down that route.

For a customer demo, it crashed twice and I had to abandon Fedora completely and go back to Windows 7 as my OS, imagine that !!!

We need to get this issue resolved if many people are going to be using Fedora 18 as their primary workStation and not just as a curosity.

Is there anything that we can monitor to assist in the resolution of this issue, it seems to be relegated to a dormant listing of another Fedora issue.

Any additional feedback from other folk ?

What can we do to assist in the resolution of this issue ?

--- Additional comment from Fedora End Of Life on 2013-07-03 21:56:59 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 1 Naipaul Ojar 2013-07-04 09:34:00 EDT
This bug was generated because the original platform was expiring. The issue is experienced on both F17 and F18 and is not been resolved.

Closing the issue because the earlier platform is now out of support does not resolve the bug in F18.
Comment 2 Fedora End Of Life 2013-12-21 09:14:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:03:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.